Bug 127305 - cannot boot fedora off of ieee1394 drive
cannot boot fedora off of ieee1394 drive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-06 08:58 EDT by Jason Duerstock
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Duerstock 2004-07-06 08:58:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a1)
Gecko/20040520

Description of problem:
After setting up the modules.conf and building the initrd to include
sbp2, I cannot use a ieee1394 drive as my root disk.

I get the following boot log:

VFS: Mounted root (ext2 filesystem).
Red Hat nash version 3.5.22 starting
Mounted /proc filesystem
Mounting sysfs
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading ieee1394.ko module
Loading ohci1394.ko module
ohci1394: $Rev: 1203 $ Ben Collins <bcollins@debian.org>
ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[10] 
MMIO=[f7ffb000-f7ffb7ff] Max Packet=[2048]
Loading sbp2.ko module
sbp2: $Rev: 1205 $ Ben Collins <bcollins@debian.org>
Loading jbd.ko
Loading ext3.ko
Creating block devices
Creating root device
Mounting root filesystem
mount: error 6 mounting ext3
pivotroot: pivot_root(/sysroot,/sysroot/initrd) failed: 2
umount /initrd/proc failed: 2
Freeing unused kernel memory: 144k freed
Kernel panic: No init found.  Try passing init= option to kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.3.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1. move root partition to ieee1394 drive
2. set up modules.conf to support sbp2
3. rebuild initrd
4. boot
    

Actual Results:  See description above

Expected Results:  system should boot successfully

Additional info:
Comment 3 Dave Jones 2005-10-05 20:08:40 EDT
any luck with later kernels ?
Comment 4 John Thacker 2006-05-04 08:57:32 EDT
No respose from reporter.  Closing.

Note You need to log in before you can comment on or make changes to this bug.